/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.picking.activiti.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.Construction;
import com.jeeplus.modules.sg.picking.activiti.entity.PickIng;
import com.jeeplus.modules.sg.picking.activiti.entity.ProjectNumber;
import com.jeeplus.modules.sg.picking.activiti.entity.ShowList;
import com.jeeplus.modules.sys.entity.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 模块显示MAPPER接口
 * @author
 * @version 2019-11-08
 */

@MyBatisMapper
public interface PickIngMapper extends BaseMapper<PickIng> {

    List<String> allVersion();

    void updateSelectNumber(@Param("selectNumber") String selectNumber,@Param("procInsId") String procInsId);

    String findSelectNumber(String procInsId);

    String selectVersion(String procInsId);

    ProjectNumber projectNumber(String procInsId);

    void updateSelectVersion(String version);

}